List DICT funds recoveries
curl --request GET \
--url https://spi.sandbox.lerian.net/api/v1/dict/funds-recoveries \
--header 'Authorization: Bearer <token>'import requests
url = "https://spi.sandbox.lerian.net/api/v1/dict/funds-recoveries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://spi.sandbox.lerian.net/api/v1/dict/funds-recoveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"createdAt": "2026-06-14T12:00:00Z",
"id": "550e8400-e29b-41d4-a716-446655440003",
"reportStatus": "SENT",
"rootTransactionId": "E1234567820260614ABCDEFGHIJKLMNO",
"situationType": "SCAM",
"status": "CREATED",
"updatedAt": "2026-06-14T12:00:00Z"
}
],
"limit": 123,
"offset": 123,
"correlationId": "<string>"
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}List DICT funds recoveries
Returns paginated local DICT funds-recovery records.
GET
/
api
/
v1
/
dict
/
funds-recoveries
List DICT funds recoveries
Authorizations
JWT bearer token issued by the identity provider.
Query Parameters
Page size (default 25, max 100)
Required range:
1 <= x <= 100Page offset (default 0)
Required range:
x >= 0Response
OK
Local DICT funds-recovery records for the requested limit/offset window.
Show child attributes
Show child attributes
Effective page size applied to this response.
Zero-based offset of the first item in this page.
Request-scoped correlation identifier echoing X-Request-ID, for pivoting from response to trace.
Was this page helpful?
⌘I

